Subject: [PATCH 10/10] drivers: PL011: add support for the ARM SBSA generic UART

From: [email-masked] (Philip Elcan)
Date: Tue, 17 Feb 2015 10:55:35 -0500

On 01/16/2015 12:23 PM, Andre Przywara wrote:
> The ARM Server Base System Architecture[1] document describes a
> generic UART which is a subset of the PL011 UART.
> It lacks DMA support, baud rate control and modem status line
> control, among other things.
> The idea is to move the UART initialization and setup into the
> firmware (which does this job today already) and let the kernel just
> use the UART for sending and receiving characters.
> We use the recent refactoring the build a new struct uart_ops
> variable which points to some new functions avoiding access to the
> missing registers. We reuse as much existing PL011 code as possible.
> 
> In contrast to the PL011 the SBSA UART does not define any AMBA or
> PrimeCell relations, so we go a pretty generic probe function
> which only uses platform device functions.
> A DT binding is provided, but other systems can easily attach to it,
> too (hint, hint!).
> 
> Signed-off-by: Andre Przywara <[email-masked]>
> ---

<snip>

Andre,

I'm a little late to address this patchset, but the SBSA defines all
the Generic UART registers 32-bit wide. However, the amba-pl011 driver
uses 16-bit accessors. How will you be handling that? Can the ARM PL011
hardware handle 32-bit access?

Philip

-- 
Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora
Forum, a Linux Foundation Collaborative Project